向应用的 stdin 写入数据。
你想传递给应用的负载应作为请求体发送到该端点。
停止应用
卸载应用
负载:
更新应用
已弃用! 请改用 /store/addons/<addon>/update。
音频
Set a profile as the default input profile
负载:
Set a profile as the default output profile
负载:
Return information about the audio plugin.
返回数据:
示例响应:
{
"host": "172.0.0.19",
"version": "1",
"latest_version": "2",
"update_available": true,
"audio": {
"card": [
{
"name": "Awesome card",
"index": 1,
"driver": "Awesome driver",
"profiles": [
{
"name": "Awesome profile",
"description": "My awesome profile",
"active": false
}
]
}
],
"input": [
{
"name": "Awesome device",
"index": 0,
"description": "My awesome device",
"volume": 0.3,
"mute": false,
"default": false,
"card": null,
"applications": [
{
"name": "Awesome application",
"index": 0,
"stream_index": 0,
"stream_type": "INPUT",
"volume": 0.3,
"mute": false,
"addon": "awesome_addon"
}
]
}
],
"output": [
{
"name": "Awesome device",
"index": 0,
"description": "My awesome device",
"volume": 0.3,
"mute": false,
"default": false,
"card": 1,
"applications": [
{
"name": "Awesome application",
"index": 0,
"stream_index": 0,
"stream_type": "INPUT",
"volume": 0.3,
"mute": false,
"addon": "awesome_addon"
}
]
}
],
"application": [
{
"name": "Awesome application",
"index": 0,
"stream_index": 0,
"stream_type": "OUTPUT",
"volume": 0.3,
"mute": false,
"addon": "awesome_addon"
}
]
}
}
Get logs for the audio plugin container via the Systemd journal backend.
The endpoint accepts the same headers and provides the same functionality as
/host/logs.
Identical to /audio/logs except it continuously returns new log entries.
Return all logs of the latest startup of the audio plugin container.
The Range header is ignored but the lines query parameter can be used.
Get logs for the audio plugin container related to a specific boot.
The bootid parameter is interpreted in the same way as in
/host/logs/boots/<bootid> and the endpoint otherwise provides the same
functionality as /host/logs.
Identical to /audio/logs/boots/<bootid> except it continuously returns
new log entries.
Mute input devices
负载:
Mute input for a specific application
负载:
Mute output devices
负载:
Mute output for a specific application
负载:
Create an audio profile
负载:
Reload audio information
Restart the audio plugin
Returns a Stats model for the audio plugin.
示例响应:
{
"cpu_percent": 14.0,
"memory_usage": 288888,
"memory_limit": 322222,
"memory_percent": 32.4,
"network_tx": 110,
"network_rx": 902,
"blk_read": 12,
"blk_write": 27
}
Update the audio plugin
负载:
Set the input volume
负载:
Set the input volume for a specific application
负载:
Set the output volume
负载:
Set the output volume for a specific application
负载:
认证
You can do authentication against Home Assistant Core using Basic Authentication.
Use the `X-Supervisor-Token` header to provide the Supervisor authentication token.
See the corresponding POST method to provide JSON or urlencoded credentials.
You can do authentication against Home Assistant Core.
You can POST the data as JSON, as urlencoded (with `application/x-www-form-urlencoded` header) or by using use basic authentication.
For using Basic authentication, you can use the `X-Supervisor-Token` for Supervisor authentication token.
负载:
Set a new password for a Home Assistant Core user.
负载:
Reset internal authentication cache, this is useful if you have changed the password for a user and need to clear the internal cache.
List all users in Home Assistant to help with credentials recovery. Requires an admin level authentication token.
负载:
备份
Return a list of Backups
示例响应:
{
"backups": [
{
"slug": "skuwe823",
"date": "2020-09-30T20:25:34.273Z",
"name": "Awesome backup",
"type": "partial",
"size": 44,
"protected": true,
"location": "MountedBackups",
"compressed": true,
"content": {
"homeassistant": true,
"addons": ["awesome_addon"],
"folders": ["ssl", "media"]
}
}
]
}
Return information about backup manager.
返回数据:
示例响应:
{
"backups": [
{
"slug": "skuwe823",
"date": "2020-09-30T20:25:34.273Z",
"name": "Awesome backup",
"type": "partial",
"size": 44,
"protected": true,
"compressed": true,
"location": null,
"content": {
"homeassistant": true,
"addons": ["awesome_addon"],
"folders": ["ssl", "media"]
}
}
],
"days_until_stale": 30
}
Create a full backup.
负载:
示例响应:
Upload a backup.
示例响应:
{
"slug": "skuwe823",
"job_id": "abc123"
}
Note
Error responses from this API may also include a job_id if the message alone cannot accurately describe what happened.
Callers should direct users to review the job or supervisor logs to get an understanding of what occurred.
Create a partial backup.
负载:
你至少需要在负载中提供一个键。
示例响应:
{
"slug": "skuwe823",
"job_id": "abc123"
}
Note
Error responses from this API may also include a job_id if the message alone cannot accurately describe what happened.
Callers should direct users to review the job or supervisor logs to get an understanding of what occurred.
Update options for backup manager, you need to supply at least one of the payload keys to the API call.
负载:
你至少需要在负载中提供一个键。
Reload backup from storage.
Put Supervisor in a freeze state and prepare Home Assistant and addons for an external backup.
Note
This does not take a backup. It prepares Home Assistant and addons for one but the expectation
is that the user is using an external tool to make the backup. Such as the snapshot feature in
KVM or Proxmox. The caller should call /backups/thaw when done.
负载:
End a freeze initiated by /backups/freeze and resume normal behavior in Home Assistant and addons.
Download the backup file with the given slug.
Returns a Backup details model for the app.
Removes the backup file with the given slug.
Does a full restore of the backup with the given slug.
负载:
示例响应:
Note
Error responses from this API may also include a job_id if the message alone cannot accurately describe what happened.
Callers should direct users to review the job or supervisor logs to get an understanding of what occurred.
Does a partial restore of the backup with the given slug.
负载:
你至少需要在负载中提供一个键。
示例响应:
Note
Error responses from this API may also include a job_id if the message alone cannot accurately describe what happened.
Callers should direct users to review the job or supervisor logs to get an understanding of what occurred.
CLI
Returns information about the CLI plugin
返回数据:
示例响应:
{
"version": "1",
"version_latest": "2",
"update_available": true
}
Returns a Stats model for the CLI plugin.
示例响应:
{
"cpu_percent": 14.0,
"memory_usage": 288888,
"memory_limit": 322222,
"memory_percent": 32.4,
"network_tx": 110,
"network_rx": 902,
"blk_read": 12,
"blk_write": 27
}
Update the CLI plugin
负载:
Core
Proxy GET API calls to the Home Assistant API
Proxy POST API calls to the Home Assistant API
Run a configuration check
Returns information about the Home Assistant core
返回数据:
示例响应:
{
"version": "0.117.0",
"version_latest": "0.117.0",
"update_available": true,
"arch": "arch",
"machine": "amd64",
"ip_address": "172.0.0.15",
"image": "homeassistant/home-assistant",
"boot": true,
"port": 8123,
"ssl": false,
"watchdog": true,
"wait_boot": 800,
"audio_input": "AMCP32",
"audio_output": "AMCP32"
}
Get logs for the Home Assistant Core container via the Systemd journal backend.
The endpoint accepts the same headers and provides the same functionality as
/host/logs.
Identical to /core/logs except it continuously returns new log entries.
Return all logs of the latest startup of the Home Assistant Core container.
The Range header is ignored but the lines query parameter can be used.
Get logs for the Home Assistant Core container related to a specific boot.
The bootid parameter is interpreted in the same way as in
/host/logs/boots/<bootid> and the endpoint otherwise provides the same
functionality as /host/logs.
Identical to /core/logs/boots/<bootid> except it continuously returns
new log entries.
Update options for Home Assistant, you need to supply at least one of the payload keys to the API call.
You need to call `/core/restart` after updating the options.
Tip
Passing image, refresh_token, audio_input or audio_output with null resets the option.
负载:
你至少需要在负载中提供一个键。
Rebuild the Home Assistant core container
负载:
Restart the Home Assistant core container
负载:
Start the Home Assistant core container
Returns a Stats model for the Home Assistant core.
示例响应:
{
"cpu_percent": 14.0,
"memory_usage": 288888,
"memory_limit": 322222,
"memory_percent": 32.4,
"network_tx": 110,
"network_rx": 902,
"blk_read": 12,
"blk_write": 27
}
Stop the Home Assistant core container
负载:
Update Home Assistant core
负载:
Proxy to Home Assistant Core websocket.
发现
Return information about enabled discoveries.
返回数据:
示例响应:
{
"discovery": [
{
"addon": "awesome_addon",
"service": "awesome.service",
"uuid": "fh874r-fj9o37yr3-fehsf7o3-fd798",
"config": {}
}
],
"services": {
"awesome": ["awesome_addon"]
}
}
Create a discovery service
负载:
示例响应:
Get a discovery model for a UUID.
Delete a specific service.
DNS
Return information about the DNS plugin.
返回数据:
示例响应:
{
"host": "127.0.0.18",
"version": "1",
"version_latest": "2",
"update_available": true,
"servers": ["dns://8.8.8.8"],
"locals": ["dns://127.0.0.18"],
"mdns": true,
"llmnr": false,
"fallback": true
}
Get logs for the DNS plugin container via the Systemd journal backend.
The endpoint accepts the same headers and provides the same functionality as
/host/logs.
Identical to /dns/logs except it continuously returns new log entries.
Return all logs of the latest startup of the DNS plugin container.
The Range header is ignored but the lines query parameter can be used.
Get logs for the DNS plugin container related to a specific boot.
The bootid parameter is interpreted in the same way as in
/host/logs/boots/<bootid> and the endpoint otherwise provides the same
functionality as /host/logs.
Identical to /dns/logs/boots/<bootid> except it continuously returns
new log entries.
Set DNS options
负载:
你至少需要在负载中提供一个键。
Reset the DNS configuration.
Restart the DNS plugin
Returns a Stats model for the dns plugin.
示例响应:
{
"cpu_percent": 14.0,
"memory_usage": 288888,
"memory_limit": 322222,
"memory_percent": 32.4,
"network_tx": 110,
"network_rx": 902,
"blk_read": 12,
"blk_write": 27
}
Update the DNS plugin
负载:
Docker
Returns information about the docker instance.
返回数据:
示例响应:
{
"version": "1.0.1",
"enable_ipv6": true,
"storage": "overlay2",
"logging": "journald",
"registries": {}
}
Set docker options
负载:
你至少需要在负载中提供一个键。
Get all configured container registries, this returns a dict with the registry hostname as the key, and a dictionary containing the username configured for that registry.
示例响应:
{
"registry.example.com": {
"username": "AwesomeUser"
}
}
Add a new container registry.
负载:
示例负载:
{
"registry.example.com": {
"username": "AwesomeUser",
"password": "MySuperStrongPassword!"
}
}
Note
To login to the default container registry (Docker Hub), use hub.docker.com as the registry.
Delete a registry from the configured container registries.
Schedule a Docker storage driver migration. The migration will be applied on the next system reboot.
This endpoint allows migrating to either:
overlayfs: The Containerd overlayfs driver
overlay2: The Docker graph overlay2 driver
Note
This endpoint requires Home Assistant OS 17.0 or newer. A 404 error will be returned on older versions or non-HAOS installations.
负载:
示例负载:
{
"storage_driver": "overlayfs"
}
After calling this endpoint, a reboot is required to apply the migration. The response will create a reboot_required issue in the resolution center.
硬件
Get hardware information.
示例响应:
{
"devices": [
{
"name": "ttyACM0",
"sysfs": "/sys/devices/usb/00:01",
"dev_path": "/dev/ttyACM0",
"by_id": "/dev/serial/by-id/usb-Silicon_Labs-RFUSB_9017F723B061A7C01410CFCF-if00-port1",
"subsystem": "tty",
"parent": null,
"attributes": {
"MINOR": "5"
},
"children": [
"/sys/devices/soc/platform/00ef"
]
}
],
"drives": [
{
"vendor": "Generic",
"model": "Flash Disk",
"revision": "8.07",
"serial": "AABBCCDD",
"id": "Generic-Flash-Disk-AABBCCDD",
"size": 8054112256,
"time_detected": "2023-02-15T21:44:22.504878+00:00",
"connection_bus": "usb",
"seat": "seat0",
"removable": true,
"ejectable": true,
"filesystems": [
{
"device": "/dev/sda1",
"id": "by-uuid-1122-1ABA",
"size": 67108864,
"name": "",
"system": false,
"mount_points": []
}
]
}
]
}
返回数据:
Get audio devices
示例响应:
{
"audio": {
"input": {
"0,0": "Mic"
},
"output": {
"1,0": "Jack",
"1,1": "HDMI"
}
}
}
主机
Return information about the host.
Returned data
示例响应:
{
"agent_version": "1.2.0",
"apparmor_version": "2.13.2",
"chassis": "specific",
"cpe": "xy",
"deployment": "stable",
"disk_total": 32.0,
"disk_used": 30.0,
"disk_free": 2.0,
"features": ["shutdown", "reboot", "hostname", "services", "haos"],
"hostname": "Awesome host",
"llmnr_hostname": "Awesome host",
"kernel": "4.15.7",
"operating_system": "Home Assistant OS",
"boot_timestamp": 1234567788,
"startup_time": 12.345,
"broadcast_llmnr": true,
"broadcast_mdns": false,
"virtualization": "",
"disk_life_time": 10.0,
"timezone": "Europe/Brussels",
"dt_utc": "2025-09-08T12:00:00.000000+00:00",
"dt_synchronized": true,
"use_ntp": true
}
Get systemd Journal logs from the host. Returns log entries in plain text, one
log record per line.
HTTP Request Headers
HTTP Query Parameters
These are a convenience alternative to the headers shown above as query
parameters are easier to use in development and with the Home Assistant proxy.
You should only provide one or the other.
查询字符串示例:
?verbose&lines=100&no_colors
Tip
To get the last log entries the Range request header supports negative values
as num_skip. E.g. Range: entries=:-9: returns the last 10 entries. Or
Range: entries=:-200:100 to see 100 entries starting from the one 200 ago.
API returns the last 100 lines by default. Provide a value for Range to see
logs further in the past.
The Accept header can be set to text/x-log to get logs annotated with
extra information, such as the timestamp and Systemd unit name. If no
identifier is specified (i.e. for the host logs containing logs for multiple
identifiers/units), this option is ignored - these logs are always annotated.
Identical to /host/logs except it continuously returns new log entries.
Returns a list of syslog identifiers from the systemd journal that you can use
with /host/logs/identifiers/<identifier> and /host/logs/boots/<bootid>/identifiers/<identifier>.
Get systemd Journal logs from the host for entries related to a specific log
identifier. Some examples of useful identifiers here include
audit - If developing an apparmor profile shows you permission issues
NetworkManager - Shows NetworkManager logs when having network issues
bluetoothd - Shows bluetoothd logs when having bluetooth issues
A call to GET /host/logs/identifiers will show the complete list of possible
values for identifier.
Otherwise it provides the same functionality as /host/logs.
Identical to /host/logs/identifiers/<identifier> except it continuously returns
new log entries.
Returns a dictionary of boot IDs for this system that you can use with
/host/logs/boots/<bootid> and /host/logs/boots/<bootid>/identifiers/<identifier>.
The key for each item in the dictionary is the boot offset. 0 is the current boot,
a negative number denotes how many boots ago that boot was.
Get systemd Journal logs from the host for entries related to a specific boot.
Call GET /host/info/boots to see the boot IDs. Alternatively you can provide a
boot offset:
- 0 - The current boot
- Negative number - Count backwards from current boot (-1 is previous boot)
- Positive number - Count forward from last known boot (1 is last known boot)
Otherwise it provides the same functionality as /host/logs.
Identical to /host/logs/boots/<bootid> except it continuously returns
new log entries.
Get systemd Journal logs entries for a specific log identifier and boot.
A combination of /host/logs/boots/<bootid> and /host/logs/identifiers/<identifier>.
Identical to /host/logs/boots/<bootid>/identifiers/<identifier> except it continuously
returns new log entries.
Set host options
负载:
你至少需要在负载中提供一个键。
Reboot the host
负载:
Reload host information
Start a service on the host.
Stop a service on the host.
Reload a service on the host.
Get information about host services.
返回数据:
示例响应:
{
"services": [
{
"name": "awesome.service",
"description": "Just an awesome service",
"state": "active"
}
]
}
Shutdown the host
负载:
Get detailed disk usage information in bytes.
The only supported disk for now is "default". It will return usage info for the data disk.
Supports an optional max_depth query param. Defaults to 1
示例响应:
{
"id": "root",
"label": "Default",
"total_space": 503312781312,
"used_space": 430245011456,
"children": [
{
"id": "system",
"label": "System",
"used_space": 75660903137
},
{
"id": "addons_data",
"label": "Addons data",
"used_space": 42349200762
},
{
"id": "addons_config",
"label": "Addons configuration",
"used_space": 5283318814
},
{
"id": "media",
"label": "Media",
"used_space": 476680019
},
{
"id": "share",
"label": "Share",
"used_space": 37477206419
},
{
"id": "backup",
"label": "Backup",
"used_space": 268350699520
},
{
"id": "ssl",
"label": "SSL",
"used_space": 202912633
},
{
"id": "homeassistant",
"label": "Home assistant",
"used_space": 444090152
}
]
}
Ingress
返回数据:
示例响应:
{
"panels": {
"addon_slug": {
"enable": true,
"icon": "mdi:awesome-icon",
"title": "Awesome app",
"admin": true
}
}
}
Create a new session for access to the ingress service.
负载:
返回数据:
Validate an ingress session, extending it's validity period.
负载:
任务
Returns info on ignored job conditions and currently running or completed jobs
返回数据:
示例响应:
{
"ignore_conditions": [],
"jobs": [{
"name": "backup_manager_full_backup",
"reference": "a01bc3",
"uuid": "123456789",
"progress": 0,
"stage": "addons",
"done": false,
"child_jobs": [],
"extra": null
}]
}
Set options for job manager
负载:
Returns info on a currently running or completed job
返回数据:
See Job model
示例响应:
{
"name": "backup_manager_full_backup",
"reference": "a01bc3",
"uuid": "123456789",
"progress": 0,
"stage": "addons",
"done": false,
"child_jobs": [],
"extra": null
}
Removes a completed job from Supervisor cache if client is no longer interested in it
Reset job manager to defaults (stops ignoring any ignored job conditions)
根
Returns information about available updates
示例响应:
{
"available_updates": [
{
"panel_path": "/update-available/core",
"update_type": "core",
"version_latest": "321",
},
{
"panel_path": "/update-available/os",
"update_type": "os",
"version_latest": "321",
},
{
"panel_path": "/update-available/supervisor",
"update_type": "supervisor",
"version_latest": "321",
},
{
"name": "Awesome addon",
"icon": "/addons/awesome_addon/icon",
"panel_path": "/update-available/awesome_addon",
"update_type": "addon",
"version_latest": "321",
}
]
}
返回数据:
This reloads information about main components (OS, Supervisor, Core, and
Plug-ins).
This reloads information about app repositories and fetches new version files.
This endpoint is currently discouraged. Use `/reload_updates` or `/store/reload`
instead.
Returns a dict with selected keys from other `/*/info` endpoints.
返回数据:
示例响应:
{
"supervisor": "300",
"homeassistant": "0.117.0",
"hassos": "5.0",
"docker": "24.17.2",
"hostname": "Awesome Hostname",
"operating_system": "Home Assistant OS",
"features": ["shutdown", "reboot", "hostname", "services", "hassos"],
"machine": "ova",
"arch": "amd64",
"supported_arch": ["amd64"],
"supported": true,
"channel": "stable",
"logging": "info",
"state": "running",
"timezone": "Europe/Brussels"
}
挂载
Returns information about mounts configured in Supervisor
返回数据:
示例响应:
{
"default_backup_mount": "my_share",
"mounts": [
{
"name": "my_share",
"usage": "media",
"type": "cifs",
"server": "server.local",
"share": "media",
"state": "active",
"read_only": false
}
]
}
Set mount manager options
负载:
你至少需要在负载中提供一个键。
Add a new mount in Supervisor and mount it
负载:
Accepts a Mount
Value in name must be unique and can only consist of letters, numbers and underscores.
示例负载:
{
"name": "my_share",
"usage": "media",
"type": "cifs",
"server": "server.local",
"share": "media",
"username": "admin",
"password": "password",
"read_only": false
}
Update an existing mount in Supervisor and remount it
负载:
Accepts a Mount.
The name field should be omitted. If included the value must match the existing
name, it cannot be changed. Delete and re-add the mount to change the name.
示例负载:
{
"usage": "media",
"type": "nfs",
"server": "server.local",
"path": "/media/camera",
"read_only": true
}
Unmount and delete an existing mount from Supervisor.
Unmount and remount an existing mount in Supervisor using the same configuration.
组播
Returns information about the multicast plugin
返回数据:
示例响应:
{
"version": "1",
"version_latest": "2",
"update_available": true
}
Get logs for the multicast plugin via the Systemd journal backend.
The endpoint accepts the same headers and provides the same functionality as
/host/logs.
Identical to /multicast/logs except it continuously returns new log entries.
Return all logs of the latest startup of the multicast plugin container.
The Range header is ignored but the lines query parameter can be used.
Get logs for the multicast plugin related to a specific boot.
The bootid parameter is interpreted in the same way as in
/host/logs/boots/<bootid> and the endpoint otherwise provides the same
functionality as /host/logs.
Identical to /multicast/logs/boots/<bootid> except it continuously returns
new log entries.
Restart the multicast plugin.
Returns a Stats model for the multicast plugin.
示例响应:
{
"cpu_percent": 14.0,
"memory_usage": 288888,
"memory_limit": 322222,
"memory_percent": 32.4,
"network_tx": 110,
"network_rx": 902,
"blk_read": 12,
"blk_write": 27
}
Update the multicast plugin
负载:
网络
Get network information.
返回数据:
示例响应:
{
"interfaces": [
{
"interface": "eth0",
"type": "ethernet",
"primary": true,
"enabled": true,
"connected": true,
"ipv4": {
"method": "static",
"ip_address": "192.168.1.100/24",
"gateway": "192.168.1.1",
"nameservers": ["192.168.1.1"],
},
"ipv6": null,
"wifi": null,
"vlan": null,
}
],
"docker": {
"interface": "hassio",
"address": "172.30.32.0/23",
"gateway": "172.30.32.1",
"dns": "172.30.32.3"
},
"host_internet": true,
"supervisor_internet": true
}
Returns a Network interface model for a specific network interface.
Update all Network interface data.
Update the settings for a network interface.
负载:
ipv6:
ipv4:
wifi:
Return a list of available Access Points on this Wireless interface.
This function only works with Wireless interfaces!
返回数据:
示例响应:
{
"accesspoints": [
{
"mode": "infrastructure",
"ssid": "MY_TestWifi",
"mac": "00:00:00:00",
"frequency": 24675,
"signal": 90
}
]
}
Create a new VLAN id on this network interface.
This function only works with ethernet interfaces!
负载:
Observer
Returns information about the observer plugin
返回数据:
示例响应:
{
"host": "172.0.0.17",
"version": "1",
"version_latest": "2",
"update_available": true
}
Returns a Stats model for the observer plugin.
示例响应:
{
"cpu_percent": 14.0,
"memory_usage": 288888,
"memory_limit": 322222,
"memory_percent": 32.4,
"network_tx": 110,
"network_rx": 902,
"blk_read": 12,
"blk_write": 27
}
Update the observer plugin
负载:
OS
Load host configurations from a USB stick.
Returns information about the OS.
返回数据:
示例响应:
{
"version": "4.3",
"version_latest": "5.0",
"update_available": true,
"board": "ova",
"boot": "slot1",
"data_disk": "BJTD4R-0x123456789",
"boot_slots": {
"A": {
"state": "inactive",
"status": "good",
"version": "10.1"
},
"B": {
"state": "active",
"status": "good",
"version": "10.2"
}
}
}
Update Home Assistant OS
负载:
Change the active boot slot, This will also reboot the device!
负载:
Get current HAOS swap configuration. Unavailable on Supervised.
返回数据:
示例响应:
{
"swap_size": "2G",
"swappiness": 1
}
Set HAOS swap configuration. Unavailable on Supervised.
负载:
Returns possible targets for the new data partition.
返回数据:
示例响应:
{
"devices": [
"Generic-Flash-Disk-123ABC456",
"SSK-SSK-Storage-ABC123DEF"
],
"disks": [
{
"name": "Generic Flash Disk (123ABC456)",
"vendor": "Generic",
"model": "Flash Disk",
"serial": "123ABC456",
"size": 8054112256,
"id": "Generic-Flash-Disk-123ABC456",
"dev_path": "/dev/sda"
},
{
"name": "SSK SSK Storage (ABC123DEF)",
"vendor": "SSK",
"model": "SSK Storage",
"serial": "ABC123DEF",
"size": 250059350016,
"id": "SSK-SSK-Storage-ABC123DEF",
"dev_path": "/dev/sdb"
}
]
}
Move datadisk to a new location, This will also reboot the device!
负载:
Wipe the datadisk including all user data and settings, This will also reboot the device! This API requires an admin token
This API will wipe all config/settings for addons, Home Assistant and the Operating
System and any locally stored data in config, backups, media, etc. The machine will
reboot during this.
After the reboot completes the latest stable version of Home Assistant and Supervisor
will be downloaded. Once the process is complete the user will see onboarding, like
during initial setup.
This wipe also includes network settings. So after the reboot the user may need to
reconfigure those in order to access Home Assistant again.
The operating system version as well as its boot configuration will be preserved.
Returns information about your board if it has features or settings
that can be modified from Home Assistant. The value for board
is the value in the board field returned by /os/info.
Boards with such options are documented below.
If running on a yellow board, returns current values for its settings.
返回数据:
示例响应:
{
"disk_led": true,
"heartbeat_led": true,
"power_led": false
}
If running on a yellow board, changes one or more of its settings.
负载:
If running on a green board, returns current values for its settings.
返回数据:
示例响应:
{
"activity_led": true,
"power_led": true,
"system_health_led": false
}
If running on a green board, changes one or more of its settings.
负载:
解析中心
返回数据:
示例响应:
{
"unsupported": ["os"],
"unhealthy": ["docker"],
"issues": [
{
"uuid": "A89924620F9A11EBBDC3C403FC2CA371",
"type": "free_space",
"context": "system",
"reference": null
}
],
"suggestions": [
{
"uuid": "B9923620C9A11EBBDC3C403FC2CA371",
"type": "clear_backups",
"context": "system",
"reference": null,
"auto": false
}
],
"checks": [
{
"slug": "free_space",
"enabled": true
}
]
}
Apply a suggested action
Dismiss a suggested action
Get suggestions that would fix an issue if applied.
返回数据:
示例响应:
{
"suggestions": [
{
"uuid": "B9923620C9A11EBBDC3C403FC2CA371",
"type": "clear_backups",
"context": "system",
"reference": null,
"auto": false
}
]
}
Dismiss an issue
Execute a healthcheck and autofix & notification.
Set options for this check.
负载:
Execute a specific check right now.
服务
返回数据:
示例响应:
{
"services": [
{
"slug": "name",
"available": true,
"providers": ["awesome_addon"]
}
]
}
返回数据:
示例响应:
{
"addon": "awesome_mqtt",
"host": "172.0.0.17",
"port": "8883",
"ssl": true,
"username": "awesome_user",
"password": "strong_password",
"protocol": "3.1.1"
}
Create a service definition
负载:
Deletes the service definitions
返回数据:
示例响应:
{
"addon": "awesome_mysql",
"host": "172.0.0.17",
"port": "8883",
"username": "awesome_user",
"password": "strong_password"
}
Create a service definition
负载:
Deletes the service definitions
商店
Returns app store information.
示例响应:
{ "addons":
[
{
"name": "Awesome app",
"slug": "7kshd7_awesome",
"description": "Awesome description",
"repository": "https://example.com/addons",
"version": "1.0.0",
"installed": "1.0.0",
"icon": false,
"logo": true,
"state": "started"
}
],
"repositories": [
{
"slug": "awesom_repository",
"name": "Awesome Repository",
"source": "https://example.com/addons",
"url": "https://example.com/addons",
"maintainer": "Awesome Maintainer"
}
]
}
Returns a list of store apps
示例响应:
[
{
"name": "Awesome app",
"slug": "7kshd7_awesome",
"description": "Awesome description",
"repository": "https://example.com/addons",
"version": "1.0.0",
"installed": "1.0.0",
"icon": false,
"logo": true,
"state": "started"
}
]
Returns information about a store app
示例响应:
{
"advanced": false,
"apparmor": "default",
"arch": ["armhf", "aarch64", "i386", "amd64"],
"auth_api": true,
"available": true,
"build": false,
"description": "Awesome description",
"detached": false,
"docker_api": false,
"documentation": true,
"full_access": true,
"hassio_api": false,
"hassio_role": "manager",
"homeassistant_api": true,
"homeassistant": "2021.2.0b0",
"host_network": false,
"host_pid": false,
"icon": false,
"ingress": true,
"installed": false,
"logo": true,
"long_description": "lorem ipsum",
"name": "Awesome app",
"rating": 5,
"repository": "core",
"signed": false,
"slug": "7kshd7_awesome",
"stage": "stable",
"update_available": false,
"url": "https://example.com/addons/tree/main/awesome_addon",
"version_latest": "1.0.0",
"version": "1.0.0"
}
Install an app from the store.
负载:
Update an app from the store.
负载:
Get the changelog for an app.
Get the documentation for an app.
Get the app icon
Get the app logo
Returns 200 success status if the latest version of the app is able to be
installed on the current system. Returns a 400 error status if it is not with a
message explaining why.
Reloads the information stored about apps.
Returns a list of store repositories
示例响应:
[
{
"slug": "awesom_repository",
"name": "Awesome Repository",
"source": "https://example.com/addons",
"url": "https://example.com/addons",
"maintainer": "Awesome Maintainer"
}
]
Add an addon repository to the store
负载:
示例负载:
{
"repository": "https://example.com/addons"
}
Returns information about a store repository
示例响应:
{
"slug": "awesom_repository",
"name": "Awesome Repository",
"source": "https://example.com/addons",
"url": "https://example.com/addons",
"maintainer": "Awesome Maintainer"
}
Remove an unused addon repository from the store.
Repair/reset an addon repository in the store that is missing or showing incorrect information.
安全
Returns information about the security features
返回数据:
示例响应:
{
"pwned": true,
"force_security": false,
}
负载:
Supervisor
Returns information about the supervisor
返回数据:
示例响应:
{
"version": "246",
"version_latest": "version_latest",
"update_available": true,
"arch": "amd64",
"channel": "dev",
"timezone": "TIMEZONE",
"healthy": true,
"supported": false,
"logging": "debug",
"ip_address": "172.0.0.2",
"wait_boot": 800,
"debug": false,
"debug_block": false,
"diagnostics": null,
"addons_repositories": ["https://example.com/addons"],
"auto_update": true,
"detect_blocking_io": false
}
Get logs for the Supervisor container via the Systemd journal backend. If the
Systemd journal gateway fails to provide the logs, raw Docker container logs are
returned as the fallback.
The endpoint accepts the same headers and provides the same functionality as
/host/logs.
Identical to /supervisor/logs except it continuously returns new log entries.
Return all logs of the latest startup of the Supervisor container.
The Range header is ignored but the lines query parameter can be used.
Get logs for the Supervisor container related to a specific boot.
The bootid parameter is interpreted in the same way as in
/host/logs/boots/<bootid> and the endpoint otherwise provides the same
functionality as /host/logs.
Identical to /supervisor/logs/boots/<bootid> except it continuously returns
new log entries.
Update options for the supervisor, you need to supply at least one of the payload keys to the API call.
You need to call /supervisor/reload after updating the options.
负载:
Ping the supervisor to check if it can return a response.
Reload parts of the supervisor, this enable new options, and check for updates.
Restart the supervisor, can help to get the supervisor healthy again.
Repair docker overlay issues, and lost images.
Returns a Stats model for the supervisor.
示例响应:
{
"cpu_percent": 14.0,
"memory_usage": 288888,
"memory_limit": 322222,
"memory_percent": 32.4,
"network_tx": 110,
"network_rx": 902,
"blk_read": 12,
"blk_write": 27
}
Update the supervisor
负载:
占位符
Some of the endpoints uses placeholders indicated with <...> in the endpoint URL.